# Update MySQL user privileges

This function sets a MySQL® database user's privileges.

Important:

When you disable the MySQL/MariaDB role, and remote MySQL is not already configured, the system disables this function.

Endpoint: GET /Mysql/set_privileges_on_database
Version: 11.136.0.4
Security: BasicAuth

## Query parameters:

  - `database` (string, required)
    The database's name.

Important:

If database prefixing is enabled, you must prefix this value with the account prefix and an underscore (_). For example, for the db database on the user cPanel account, pass in a value of user_db.
    Example: "cpuser_dbname"

  - `user` (string, required)
    The database user's name.

Important:

If database prefixing is enabled, you must prefix this value with the account prefix and an underscore (_). For example, for the dbuser user on the user cPanel account, pass in a value of user_dbuser.
    Example: "cpuser_dbuser"

  - `privileges` (string)
    * ALL PRIVILEGES
* A comma-separated list of one or more of the following individual privileges:
  * ALTER
  * ALTER ROUTINE
  * CREATE
  * CREATE ROUTINE
  * CREATE TEMPORARY TABLES
  * CREATE VIEW
  * DELETE
  * DROP
  * EVENT
  * EXECUTE
  * INDEX
  * INSERT
  * LOCK TABLES
  * REFERENCES
  * SELECT
  * SHOW VIEW
  * TRIGGER
  * UPDATE

Note:

* This list replaces, rather than adds to, the existing privilege list.
* In browser-based and command line calls, separate multiple values with %2C and replace spaces with %20.
    Example: "DELETE,UPDATE,CREATE,ALTER"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "set_privileges_on_database"

  - `module` (string)
    The name of the module called.
    Example: "Mysql"

  - `result` (object)

  - `result.data` (object,null)

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    - 1 - Success
- 0 - Failed: Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


